[SOLVED] apt-get update reports NO_PUBKEY

Jun 8, 2016
309
54
48
45
Johannesburg, South Africa
System suddenly forgot Proxmox validation certificate:
Code:
[admin@kvm5f ~]# apt-get update
Ign:1 http://ftp.debian.org/debian stretch InRelease
Hit:2 http://download.proxmox.com/debian/ceph-luminous stretch InRelease
Err:2 http://download.proxmox.com/debian/ceph-luminous stretch InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
Hit:3 http://ftp.debian.org/debian stretch Release
Hit:5 http://security.debian.org stretch/updates InRelease
Err:6 https://enterprise.proxmox.com/debian/pve stretch InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://download.proxmox.com/debian/ceph-luminous stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://enterprise.proxmox.com/debian/pve stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
W: Failed to fetch http://download.proxmox.com/debian/ceph-luminous/dists/stretch/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
W: Failed to fetch https://enterprise.proxmox.com/debian/pve/dists/stretch/InRelease  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 0D9A1950E2EF0603
W: Some index files failed to download. They have been ignored, or old ones used instead.


Subscription status is active:
Code:
[admin@kvm5f ~]# pvesubscription get
checktime: 1511452808
key: pve2c-snip
level: c
nextduedate: 2018-11-23
productname: Proxmox VE Community Subscription 2 CPUs/year
regdate: 2017-11-23 00:00:00
serverid: 3E4A_snip_496A
sockets: 2
status: Active
url: http://www.proxmox.com/products/proxmox-ve/subscription-service-plans
validdirectory: 3E4A_snip_496A


Installed packages:
Code:
[admin@kvm5f ~]# pveversion -v
proxmox-ve: not correctly installed (running kernel: 4.13.8-2-pve)
pve-manager: 5.1-36 (running version: 5.1-36/131401db)
pve-kernel-4.13.8-2-pve: 4.13.8-28
libpve-http-server-perl: 2.0-6
lvm2: 2.02.168-pve6
corosync: 2.4.2-pve3
libqb0: 1.0.1-1
pve-cluster: 5.0-15
qemu-server: 5.0-17
pve-firmware: 2.0-3
libpve-common-perl: 5.0-20
libpve-guest-common-perl: 2.0-13
libpve-access-control: 5.0-7
libpve-storage-perl: 5.0-16
pve-libspice-server1: 0.12.8-3
vncterm: 1.5-2
pve-docs: 5.1-12
pve-qemu-kvm: 2.9.1-2
pve-container: 2.0-17
pve-firewall: 3.0-3
pve-ha-manager: 2.0-3
ksm-control-daemon: 1.2-2
glusterfs-client: 3.8.8-1
lxc-pve: 2.1.0-2
lxcfs: 2.0.7-pve4
criu: 2.11.1-1~bpo90
novnc-pve: 0.6-4
smartmontools: 6.5+svn4324-1
zfsutils-linux: 0.7.3-pve1~bpo9
ceph: 12.2.1-pve3


This occurred in half the systems of a 6 node cluster. The following fixes the issue:
Code:
wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg;
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!